Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmRequestPrint.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmRequestPrint.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmRequestPrint.cs	(revision 60)
@@ -913,20 +1290,6 @@
         {
             try
             {
-                // 請求明細データ取得
-                var dicReqDetail = new Dictionary<int, Dictionary<int, RequestDataDetail>>();
-                if (!GetRequestDataDetail(m_RequestNo,ref dicReqDetail))
-                {
-                    return;
-                }
-
-                // 工事詳細台帳データ取得
-                var constLedger = new ConstructionLedger();
-                if (!GetConstructionLedger(m_ConstructionCode, ref constLedger))
-                {
-                    return;
-                }
-
                 // 印刷クラス
                 m_UsedExcel = new UsedExcel();
 
@@ -943,13 +1306,56 @@
                     return;
                 }
 
-                // 内訳印刷
-                rtAns = PrintDetail(dicReqDetail, constLedger);
+                // 一覧印刷
+                rtAns = PrintList();
                 if (rtAns != CommonDefine.RetunAnswer.Answer0)
                 {
                     return;
                 }
 
+
+                //private Dictionary<int, List<RequestData>> m_dicReqData = new Dictionary<int, List<RequestData>>();
+
+
+                foreach (RequestHead ReqHead in m_lstReqHead)
+                {
+                    List<RequestData> lstReqData = null;
+                    if (m_dicReqData.TryGetValue(ReqHead.RequestNo, out lstReqData) == false)
+                    {
+                        return;
+                    }
+
+                    foreach (RequestData ReqData in lstReqData)
+                    {
+                        ConstructionBaseInfo Info = null;
+
+                        if (m_dicConstructionBaseInfo.TryGetValue(ReqData.MainConstructionCode, out Info) == false)
+                        {
+                            return;
+                        }
+
+                        int nRequestAmount = ReqData.RequestAmount0;
+                        nRequestAmount += ReqData.RequestAmount1;
+                        nRequestAmount += ReqData.RequestAmount2;
+                        nRequestAmount += ReqData.RequestAmount3;
+                        nRequestAmount += ReqData.RequestAmount4;
+                        nRequestAmount += ReqData.RequestAmount5;
+                        nRequestAmount += ReqData.RequestAmount6;
+
+                        if (nRequestAmount == 0)
+                        {
+                            continue;
+                        }
+
+                        rtAns = PrintDetail( ReqHead, ReqData, Info );
+                        if (rtAns != CommonDefine.RetunAnswer.Answer0)
+                        {
+                            return;
+                        }
+                    }
+
+                }
+
                 if (bPrint)
                 {
                     // 印刷処理
@@ -981,6 +1387,7 @@
         }
         #endregion
 
+        #region Excelファイル保存処理
         /// <summary>
         /// Excelファイル保存処理
         /// </summary>
@@ -994,7 +1401,7 @@
                 if (CommonMotions.ChkDirPath(filePath, true))
                 {
                     // ファイル名を作成
-                    string wrkFile = m_DicConstructionBaseInfoDetail[m_ConstructionCode][(int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName] + "様 請求書";
+                    string wrkFile = m_InvData.RequestName + "様 請求書";
 
                     // ファイル名に使用できない文字を取り除く
                     foreach (var badCh in m_UsedExcel.ExcelBadCharcter)
@@ -1017,7 +1424,9 @@
             }
 
         }
+        #endregion
 
+        #region 請求書(表紙)作成
         /// <summary>
         /// 請求書(表紙)作成
         /// </summary>
@@ -1026,40 +1435,43 @@
         {
             try
             {
-                // 請求書表紙シートの取得
+                //// 請求書表紙シートの取得
                 m_UsedExcel.ExcelSheetGet(s_DicSheetName[enumSheetName.Cover]);
 
-                // ページ縦・横セット
-                m_UsedExcel.ExcelFitCountSet(2, 1);
+                //// ③ 請求日(4行目 K列)
+                if (m_bDatePrintFlg == true)
+                {
+                    ExcelPrintData reqDate = new ExcelPrintData();
+                    reqDate.AddPrintData("K", 3, dateTimePicker1.Value.ToString("yyyy年MM月dd日")).ExcelCellSet(m_UsedExcel);
+                }
+                else
+                {
+                    ExcelPrintData reqDate = new ExcelPrintData();
+                    reqDate.AddPrintData("K", 3, "　　年　　月　　日").ExcelCellSet(m_UsedExcel);
+                }
 
-                // ① 施工開始日(4行目 M列)
-                ExcelPrintData startDate = new ExcelPrintData();
-                startDate.AddPrintData("L", 3, m_ConstructionBaseInfo.ConstructionStartingDate.ToString("yyyy年MM月dd日")).ExcelCellSet(m_UsedExcel);
-
-                // ② 施工終了日(5行目 M列)
-                ExcelPrintData endDate = new ExcelPrintData();
-                endDate.AddPrintData("L", 4, m_ConstructionBaseInfo.ConstructionCompletionDate.ToString("yyyy年MM月dd日")).ExcelCellSet(m_UsedExcel);
-
-                // ③ 請求日(7行目 K列)
-                ExcelPrintData reqDate = new ExcelPrintData();
-                reqDate.AddPrintData("K", 6, radioButton4.Checked ? dateTimePicker1.Value.ToString("yyyy年MM月dd日") : "　　年　　月　　日").ExcelCellSet(m_UsedExcel);
-
-                // ④ 請求先名称(9行目 D列)
+                //// ④ 請求先名称(6行目 D列)
                 ExcelPrintData nameData = new ExcelPrintData();
-                nameData.AddPrintData("D", 8, m_DicConstructionBaseInfoDetail[m_ConstructionCode][(int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName]).ExcelCellSet(m_UsedExcel);
+                nameData.AddPrintData("D", 5, m_InvData.RequestName).ExcelCellSet(m_UsedExcel);
 
-                // ⑤ 請求金額(14行目 G列)
+                //// ⑤ 請求金額(11行目 G列)
                 ExcelPrintData priceData = new ExcelPrintData();
-                priceData.AddPrintData("G", 13, m_LstRequestTotalData[m_SelectOrderIndex].BillTotalPrice.ToString("#,#")).ExcelCellSet(m_UsedExcel);
+                priceData.AddPrintData("G", 10, m_InvData.TotalAmount.ToString("#,0")).ExcelCellSet(m_UsedExcel);
 
-                // ⑥ 消費税(15行目 J列)
+                //// ⑥ 消費税(12行目 J列)
                 ExcelPrintData taxData = new ExcelPrintData();
-                taxData.AddPrintData("J", 14, m_LstRequestTotalData[m_SelectOrderIndex].TaxPrice.ToString("#,#")).ExcelCellSet(m_UsedExcel);
+                taxData.AddPrintData("J", 11, m_InvData.TaxAmount.ToString("#,0")).ExcelCellSet(m_UsedExcel);
 
-                // ⑦ 工事件名(17行目 G列)
-                ExcelPrintData constNameData = new ExcelPrintData();
-                constNameData.AddPrintData("G", 16, m_DicConstructionBaseInfoDetail[m_ConstructionCode][(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName]).ExcelCellSet(m_UsedExcel);
+                string[] comment = new string[]{ m_InvData.Comment1, m_InvData.Comment2, m_InvData.Comment3, m_InvData.Comment4, m_InvData.Comment5 };
 
+                for( int i=0; i<5; i++ )
+                {
+                    //// ⑦ コメント1(14行目 G列)
+                    ExcelPrintData constNameData = new ExcelPrintData();
+                    constNameData.AddPrintData("G", 13+i, comment[i]).ExcelCellSet(m_UsedExcel);
+
+                }
+
                 return CommonDefine.RetunAnswer.Answer0;
             }
             catch (Exception ex)
@@ -1068,141 +1480,192 @@
                 return CommonDefine.RetunAnswer.Answer1;
             }
         }
+        #endregion
 
+        #region 請求書(一覧)作成
         /// <summary>
-        /// 請求書(内訳)作成
+        /// 請求書(一覧)作成
         /// </summary>
-        /// <param name="dicReqDetail"></param>
-        /// <param name="constLedger"></param>
-        /// <param name="lstConstLink"></param>
         /// <returns></returns>
-        private CommonDefine.RetunAnswer PrintDetail(Dictionary<int,Dictionary<int,RequestDataDetail>> dicReqDetail, ConstructionLedger constLedger)
+        private CommonDefine.RetunAnswer PrintList()
         {
             try
             {
-                // 請求書内訳シートの取得
-                m_UsedExcel.ExcelSheetGet(s_DicSheetName[enumSheetName.Detail]);
+                int trow = 3;
+                ExcelPrintData ExcelPrnData = null;
 
-                // ページ縦・横セット
-                m_UsedExcel.ExcelFitCountSet(2, 1);
+                //// 請求書表紙シートの取得
+                m_UsedExcel.ExcelSheetGet(s_DicSheetName[enumSheetName.List]);
 
-                // ------------------------------- 工事名 -------------------------------
-                // ① 工事件名
-                ExcelPrintData constNameData = new ExcelPrintData();
-                constNameData.AddPrintData("C", 2, m_DicConstructionBaseInfoDetail[m_ConstructionCode][(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName]).ExcelCellSet(m_UsedExcel);
+                List<int> lstKey = new List<int>(m_dicReqData.Keys);
 
-                // ------------------------------- 名称列 -------------------------------
-                ExcelPrintData nameDatas = new ExcelPrintData();
+                foreach (int nReqNo in lstKey)
+                {
+                    List<RequestData> lstData = null;
 
-                // 増減工事情報
-                foreach (int childConstCode in m_LstConstructionLink)
-                {
-                    if (m_DicConstructionBaseInfoDetail.ContainsKey(childConstCode))
+                    if (m_dicReqData.TryGetValue(nReqNo, out lstData) == false)
                     {
-                        // ⑤ 工事件名
-                        nameDatas.AddPrintData("B", 10 + m_LstConstructionLink.IndexOf(childConstCode), m_DicConstructionBaseInfoDetail[childConstCode][(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName]);
+                        continue;
                     }
-                }
-                nameDatas.ExcelCellSet(m_UsedExcel);
 
-                // ------------------------------- 仕様列 -------------------------------
-                ExcelPrintData spaceData1 = new ExcelPrintData();
+                    foreach (RequestData ReqData in lstData)
+                    {
+                        ConstructionBaseInfo Info = null;
 
-                // 増減工事情報
-                // ６行に満たない場合は、残り行は空白とする
-                for (int i = 0; i < (6 - m_LstConstructionLink.Count); i++)
-                {
-                    spaceData1.AddPrintData("C", 15 - i, "");
-                    spaceData1.AddPrintData("D", 15 - i, "");
-                    spaceData1.AddPrintData("E", 15 - i, "");
-                }
-                spaceData1.ExcelCellSet(m_UsedExcel);
+                        if (m_dicConstructionBaseInfo.TryGetValue(ReqData.MainConstructionCode, out Info) == false)
+                        {
+                            continue;
+                        }
 
-                // ------------------------------- 仕様列 -------------------------------
-                // ⑪ 消費税率
-                ExcelPrintData taxData = new ExcelPrintData();
-                taxData.AddPrintData("C", 24, string.Format("{0}%", CommonMotions.SystemMasterData.ConsumptionTax)).ExcelCellSet(m_UsedExcel);
+                        ExcelPrnData = new ExcelPrintData();
+                        ExcelPrnData.AddPrintData("B", trow, ReqData.ConstructionName);             // 工事件名
+                        ExcelPrnData.AddPrintData("C", trow, Info.ConstructionPeriodStart.ToString("yyyy/MM/dd"));        // 工期開始
+                        ExcelPrnData.AddPrintData("C", trow + 1, "～");
+                        ExcelPrnData.AddPrintData("C", trow + 2, Info.ConstructionPeriodEnd.ToString("yyyy/MM/dd"));      // 工期終了
 
+                        int nAmount = ReqData.RequestAmount0;
+                        nAmount += ReqData.RequestAmount1;
+                        nAmount += ReqData.RequestAmount2;
+                        nAmount += ReqData.RequestAmount3;
+                        nAmount += ReqData.RequestAmount4;
+                        nAmount += ReqData.RequestAmount5;
+                        nAmount += ReqData.RequestAmount6;
+                        nAmount += ReqData.TaxAmount;
+                        nAmount += ReqData.UnpaidAmount;
 
-                // ------------------------------- 金額列 -------------------------------
-                // 金額列
-                ExcelPrintData priceData = new ExcelPrintData();
+                        ExcelPrnData.AddPrintData("D", trow, nAmount.ToString("#,0"));       // 請求金額
 
-                // ② 請負金額
-                priceData.AddPrintData("G", 5, constLedger.OrdersDecisionPrice);
+                        ExcelPrnData.AddPrintData("E", trow, ReqData.Note);                                             // 備考
+                        ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
-                // ④ 見積もり金額
-                priceData.AddPrintData("G", 9, dicReqDetail[m_ConstructionCode][m_SelectOrderIndex + 1].BillPrice);
+                        trow += 3;
 
-                // 増減工事情報
-                foreach (int childConstCode in m_LstConstructionLink)
-                {
-                    if (dicReqDetail.ContainsKey(childConstCode))
-                    {
-                        // ⑥ 見積金額
-                        priceData.AddPrintData("G", 10 + m_LstConstructionLink.IndexOf(childConstCode), dicReqDetail[childConstCode][m_SelectOrderIndex + 1].BillPrice);
                     }
                 }
 
-                // ⑦ 今回ご請求分
-                priceData.AddPrintData("G", 17, m_LstRequestTotalData[m_SelectOrderIndex].BillPrice);
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
 
-                if (dicReqDetail[m_ConstructionCode][m_SelectOrderIndex + 1].AmountBlance != 0)
+        #region 請求書(内訳)作成
+        /// <summary>
+        /// 請求書(内訳)作成
+        /// </summary>
+        /// <param name="dicReqDetail"></param>
+        /// <param name="constLedger"></param>
+        /// <param name="lstConstLink"></param>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer PrintDetail(RequestHead ReqHead, RequestData ReqData, ConstructionBaseInfo Info)
+        {
+            try
+            {
+                // 請求書内訳シートの取得
+                m_UsedExcel.ExcelSheetGet(s_DicSheetName[enumSheetName.Detail]);
+
+                ExcelPrintData ExcelPrnData = null;
+
+                // ------------------------------- 工事名 -------------------------------
+                // ① 工事件名
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("C", 2, ReqData.ConstructionName).ExcelCellSet(m_UsedExcel);
+
+                // ------------------------------- 請負金額 -------------------------------
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("G", 5, ReqData.ContractAmount.ToString("#,0")).ExcelCellSet(m_UsedExcel); 
+
+                // ------------------------------- 前回ご請求分 -------------------------------
+                // 分割払いの場合
+                if (Info.BillingSplitFlg == (int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling)
                 {
-                    // ⑨ 未入金分
-                    priceData.AddPrintData("G", 21, dicReqDetail[m_ConstructionCode][m_SelectOrderIndex + 1].AmountBlance);
+                    ExcelPrnData = new ExcelPrintData();
+                    ExcelPrnData.AddPrintData("B", 7, "前回ご請求済分");
+                    ExcelPrnData.AddPrintData("C", 7, "前回請求書参照※増減補正済み");
+                    ExcelPrnData.AddPrintData("D", 7, "1");
+                    ExcelPrnData.AddPrintData("E", 7, "式");
+                    ExcelPrnData.AddPrintData("G", 7, ReqData.PaidAmount.ToString("#,0"));
+                    ExcelPrnData.ExcelCellSet(m_UsedExcel);
                 }
-                else
-                {
-                    // ⑨ 未入金分が０の場合は空白行とする
-                    ExcelPrintData spaceData2 = new ExcelPrintData();
-                    spaceData2.AddPrintData("B", 21, "").ExcelCellSet(m_UsedExcel);
-                }
 
-                // ⑩ 小計
-                int partTotal = m_LstRequestTotalData[m_SelectOrderIndex].BillPrice + m_LstRequestTotalData[m_SelectOrderIndex].AmountBlance;
-                priceData.AddPrintData("G", 23, partTotal);
+                int nTotalAmount = 0;
 
-                // ⑫ 消費税
-                priceData.AddPrintData("G", 24, m_LstRequestTotalData[m_SelectOrderIndex].TaxPrice);
+                // ------------------------------- 見積金額（本工事） -------------------------------
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("G", 9, ReqData.RequestAmount0.ToString("#,0"));
+                ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
-                // ⑬ 税込合計金額
-                priceData.AddPrintData("G", 25, m_LstRequestTotalData[m_SelectOrderIndex].BillTotalPrice);
+                nTotalAmount += ReqData.RequestAmount0;
+ 
+                // ------------------------------- 見積金額（増減工事） -------------------------------
+                int[] nAmount = new int[] { ReqData.RequestAmount1, ReqData.RequestAmount2, ReqData.RequestAmount3, ReqData.RequestAmount4, ReqData.RequestAmount5, ReqData.RequestAmount6 };
+                string[] strTitle = new string[] { "増減工事１", "増減工事２", "増減工事３", "増減工事４", "増減工事５", "増減工事６" };
 
-                // 一括請求時は次を印刷対象外とする
-                if (m_ConstructionBaseInfo.BillingSplitFlg != 0)
+                for (int i = 0; i < 6; i++)
                 {
-                    if (m_SelectOrderIndex != 0)
+                    if (nAmount[i] > 0)
                     {
-                        // ③ 請求済金額
-                        priceData.AddPrintData("G", 7, m_LstRequestTotalData[m_SelectOrderIndex - 1].PricePaid);
+                        ExcelPrnData = new ExcelPrintData();
+                        ExcelPrnData.AddPrintData("B", 10 + i, strTitle[i]);
+                        ExcelPrnData.AddPrintData("C", 10 + i, "追加増減見積もり参照");
+                        ExcelPrnData.AddPrintData("D", 10 + i, "1");
+                        ExcelPrnData.AddPrintData("E", 10 + i, "式");
+                        ExcelPrnData.AddPrintData("G", 10 + i, nAmount[i].ToString("#,0"));
+                        ExcelPrnData.ExcelCellSet(m_UsedExcel);
+
+                        nTotalAmount += nAmount[i];
                     }
+                }
 
-                    // ⑧ 請負金額残額
-                    priceData.AddPrintData("G", 19, m_LstRequestTotalData[m_SelectOrderIndex].PriceBalance);
+                // ------------------------------- 今回ご請求分 -------------------------------
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("G", 17, nTotalAmount.ToString("#,0"));
+                ExcelPrnData.ExcelCellSet(m_UsedExcel);
+
+                // ------------------------------- 請負金額残金 -------------------------------
+                // 分割払いの場合
+                if (Info.BillingSplitFlg == (int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling)
+                {
+                    ExcelPrnData = new ExcelPrintData();
+                    ExcelPrnData.AddPrintData("B", 19, "請負金額残金");
+                    ExcelPrnData.AddPrintData("D", 19, "1");
+                    ExcelPrnData.AddPrintData("E", 19, "式");
+                    ExcelPrnData.AddPrintData("G", 19, ReqData.UnclaimedAmount.ToString("#,0"));
+                    ExcelPrnData.ExcelCellSet(m_UsedExcel);
                 }
-                else
+
+                // ------------------------------- 未入金分 -------------------------------
+                if (ReqData.UnpaidAmount > 0)
                 {
-                    // 一括払いの場合は空白行とする
-                    ExcelPrintData spaceData3 = new ExcelPrintData();
+                    ExcelPrnData = new ExcelPrintData();
+                    ExcelPrnData.AddPrintData("B", 21, "未入金分");
+                    ExcelPrnData.AddPrintData("G", 21, ReqData.UnpaidAmount.ToString("#,0"));
+                    ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
-                    // ③ 請求済金額
-                    spaceData3.AddPrintData("B", 7, "");
-                    spaceData3.AddPrintData("C", 7, "");
-                    spaceData3.AddPrintData("D", 7, "");
-                    spaceData3.AddPrintData("E", 7, "");
-                    spaceData3.ExcelCellSet(m_UsedExcel);
-
-                    // ⑧ 請負金額残額
-                    ExcelPrintData spaceData4 = new ExcelPrintData();
-                    spaceData4.AddPrintData("B", 19, "");
-                    spaceData4.AddPrintData("D", 19, "");
-                    spaceData4.AddPrintData("E", 19, "");
-                    spaceData4.ExcelCellSet(m_UsedExcel);
+                    nTotalAmount += ReqData.UnpaidAmount;
                 }
 
-                priceData.ExcelCellSet(m_UsedExcel);
+                // ------------------------------- 小計 -------------------------------
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("G", 23, nTotalAmount.ToString("#,0"));
+                ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
+                // ------------------------------- 消費税 -------------------------------
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("C", 24, string.Format("{0}%",CommonMotions.SystemMasterData.ConsumptionTax));
+                ExcelPrnData.AddPrintData("G", 24, ReqData.TaxAmount.ToString("#,0"));
+                ExcelPrnData.ExcelCellSet(m_UsedExcel);
+                nTotalAmount += ReqData.TaxAmount;
+
+                // ------------------------------- 税込金額合計 -------------------------------
+                ExcelPrnData = new ExcelPrintData();
+                ExcelPrnData.AddPrintData("G", 25, nTotalAmount.ToString("#,0"));
+                ExcelPrnData.ExcelCellSet(m_UsedExcel);
+
                 return CommonDefine.RetunAnswer.Answer0;
             }
             catch (Exception ex)
@@ -1212,7 +1675,9 @@
             }
 
         }
+        #endregion
 
+        #region Excelデータ出力用内部クラス定義
         /// <summary>
         /// Excelデータ出力用内部クラス定義
         /// </summary>
@@ -1272,6 +1737,7 @@
                 return res;
             }
 
+            #region データ追加
             /// <summary>
             /// データ追加
             /// </summary>
@@ -1283,7 +1749,9 @@
             {
                 return AddPrintData(s_IndexOfExcelColumn[colName], rowNo, data);
             }
+            #endregion
 
+            #region データ追加
             /// <summary>
             /// データ追加
             /// </summary>
@@ -1305,7 +1773,9 @@
 
                 return this;
             }
+            #endregion
 
+            #region UsedExcelオブジェクトにデータをセットする
             /// <summary>
             /// UsedExcelオブジェクトにデータをセットする
             /// </summary>
@@ -1340,7 +1810,10 @@
                 usedExcel.ExcelCellSet(startCell, objCells, endCell);
 
             }
+            #endregion
         }
+        #endregion
 
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 60)
@@ -564,7 +564,7 @@
                                                                 { (int)ClsExcute.MaintenanceExecuteNo.SaleSalesGraphData,
                                                                     0,
                                                                     0,
-                                                                    0
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.SalesConfirm
                                                                 },
         };
         #endregion
@@ -2448,13 +2448,22 @@
                                 #region 請求書入力（出来高）
                                 // 請求書入力（出来高）→分割
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmConstructionDiag.SelectConstructionType.SeparateBilling);
+
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);                   // 工事番号（ダミー）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);                   // 承認機能番号（ダミー）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);                   // 受付番号（ダミー）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmConstructionDiag.SelectConstructionType.SeparateBilling);   // 分割払い
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);               // ----- 直接表示フラグ
                                 break;
                                 #endregion
                             case 3:
                                 break;
-                            case 5:
+                            case 5:                         // 請求書印刷
+                                #region 請求書印刷
+                                // 請求書印刷
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestPrint);
                                 break;
+                                #endregion
                             case 7:
                                 break;
                             case 9:
@@ -2487,13 +2496,21 @@
                                 #region 請求書入力（完了後）
                                 // 請求書入力→一括
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmConstructionDiag.SelectConstructionType.CombinedOrder);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);                   // 工事番号（ダミー）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);                   // 承認機能番号（ダミー）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);                   // 受付番号（ダミー）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)FrmConstructionDiag.SelectConstructionType.CombinedOrder);   // 一括払い
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);               // ----- 直接表示フラグ
                                 break;
                                 #endregion
                             case 3:
                                 break;
-                            case 5:
+                            case 5:                 // 請求書印刷
+                                #region 請求書印刷
+                                // 請求書印刷
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestPrint);
                                 break;
+                                #endregion
                             case 7:
                                 break;
                             case 9:
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 60)
@@ -1483,7 +1483,7 @@
                 strSQL += " A.ApprovalLimitDates,";
                 strSQL += " A.PERSONCODE,";
                 strSQL += " C.PERSONNAME,";
-                strSQL += " D.DETAILSTRING,";
+                strSQL += " CASE A.ORDERNO WHEN 1 THEN D.DETAILSTRING ELSE CONCAT(D.DETAILSTRING, '(', CAST( A.ORDERNO AS CHAR), ')') END, ";
                 strSQL += " C.DEPARTMENTCODE,";
                 strSQL += " E.APPROVALPERSON,";
                 strSQL += " E.DISPLAYORDER,";
@@ -1524,7 +1524,7 @@
                 //    }
                 //}
 
-                strSQL += " ORDER BY A.APPROVALCODE DESC, A.PETITIONAPPROVALDATE DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC";
+                strSQL += " ORDER BY A.APPROVALCODE DESC, A.ORDERNO DESC, A.CONSTRUCTIONCODE DESC, A.PETITIONAPPROVALDATE DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC";
                 if (!paDB.ExecuteReader(strSQL, ref arData)) return false;
 
                 //if (arData.Count == 0) return false;
@@ -1640,11 +1640,13 @@
                 ArrayList BufferList = new ArrayList();
                 object[] objfirst = (object[])arData[0];
                 int BreakApprovalCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ApprovalCode]);
+                int BreakOrderNo = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.OrderNo]);
                 int BreakConstructionCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ConstructionCode]);
 
                 foreach (object[] objLoopRec in arData)
                 {
                     if (BreakApprovalCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ApprovalCode])
+                        && BreakOrderNo == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.OrderNo])
                         && BreakConstructionCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]))
                     {
                         BufferList.Add(objLoopRec);
@@ -1656,6 +1658,7 @@
 
                     // ブレイクキー更新
                     BreakApprovalCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ApprovalCode]);
+                    BreakOrderNo = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.OrderNo]);
                     BreakConstructionCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]);
                     BufferList.Clear();
                     BufferList.Add(objLoopRec);
